Subject: Re: What's cooking in git.git (Jun 2017, #06; Thu, 22)

From: Junio C Hamano <[email-masked]>
Date: Fri, 23 Jun 2017 17:37:35 -0700

Stefan Beller <[email-masked]> writes:

> * add some heuristic to omit small blobs, (empty lines, closing braces)
>   Maybe this is can be solved by not considering anything
>   that occurs multiple times?

I vaguely recall that we had to do something similar in "blame -C"
where it tries to avoid passing blame for insignificant changes down
as copied.  But for the purpose of this "moved line coloring",
excluding multiple copy destinations of the same thing may be a
simpler and more robust solution.  It will not catch "somebody
stupidly removed one function and made two private copies", though.